<template>
  <keep-alive>
    <site-list v-if="nodeType === 0"></site-list>
    <area-list
      v-else-if="nodeType === 1"
      :nodeSelected="nodeSelected"
    ></area-list>
    <production-line-list
      v-else-if="nodeType === 2"
      :nodeSelected="nodeSelected"
    ></production-line-list>
  </keep-alive>
</template>

<script>
import SiteList from "./SiteList";
import AreaList from "./AreaList";
import ProductionLineList from "./ProductionLineList";
export default {
  name: 'SiteAreaLineManagerRight',
  components: { SiteList, AreaList, ProductionLineList },
  data() {
    return {
      description: '工厂车间主数据',
      currentOrgCode: '',
      nodeType: 0,
      nodeSelected: {}
    }
  },
  methods: {},
  mounted() {
    this.$bus.$on('getCurrSelected', (data) => {  //getCurrSelected 事件 接收组件传递的参数
      this.nodeType = (data.type == undefined ? 0 : data.type);
      this.nodeSelected = data;
    })
  },
}
</script>

<style scoped>
</style>